# Métriques des services Picasoft

Dans ce dossier se trouvent les éléments de configuration permettant de faire fonctionner [Picasoft Metrics Bot](https://gitlab.utc.fr/picasoft/projets/picasoft-metrics-bot).

C'est un projet indépendant ajouté en submodule dans le dossier [picasoft-metrics-bot](./picasoft-metrics-bot), car il est léger et car cela facilite la construction du Dockerfile.

Par rapport au projet original :
* La configuration en production est versionnée ici, et un Docker Compose adapté est proposé
* Un [entrypoint](./entrypoint.sh) modifié permet d'injecter des secrets sous forme de variables d'environnement
* La construction de l'image est gérée par la chaîne d'intégration et permet d'analyser la sécurité de l'image
* Ajout d'InfluxDB directement adossé à Picasoft Metrics Bot, dans un seul Docker Compose

## Premier lancement

Copier les fichiers `.secrets.example` en `.secrets` et remplacez les valeurs.

L'utilisateur InfluxDB qui doit être utilisé dans Picasoft Metrics Bot est celui avec les droits d'écriture (mais pas d'administrateur). Dans le fichier d'exemple, c'est `picasoft-write`.

## Mise à jour

Le projet Picasoft Metrics Bot n'a pas de numéro de version.

À la place, chaque construction par la chaîne d'intégration utilisera le numéro de commit associé au submodule pour construire l'image avec le code du dépôt Picasoft Metrics Bots.

Il suffit de lancer la commande suivante pour mettre à jour le submodule au dernier commit du dépôt contenant le code :

```bash
git submodule update --recursive --remote picasoft-metrics-bot
```

Puis de changer le tag dans le fichier Docker Compose, de pousser les changements et de lancer manuellement la construction au niveau du Pipeline du commit.
