## App

In this README, you should explain, if applicable, the following :
* What is this
* Is it based on a base image, is it a custom Dockerfile based on another Dockerfile, or a brand new Dockerfile
* How to configure (secrets, environment variables...)
* How to start (usually just a `docker-compose up -d` and copying the secret files : this is the goal)
* How to update the service itself (usually just changing a tag in the Docker Compose file and an argument in the Dockerfile)
* How to update the customization of the service : add more environment variables, change configurtion, etc.
* How to administrate the service (e.g. CLI tool)
* Warnings about breaking changes (e.g. "you cannot update the database to a major version without doing this or that")

And everything that you find useful.

This README should act as a reference for all administration tasks.

However it should not contain user documentation, nor general advices about how to resolve build errors and so on (this is the job of the CI documentation).
